# git-shortlog(1) Manual Page

## NAME

git-shortlog - Summarize 'git log' output

## SYNOPSIS

git-log --pretty=short | git-shortlog [-h] [-n] [-s] [-e] [-w] git-shortlog [-n|--numbered] [-s|--summary] [-e|--email] [-w[<width>[,<indent1>[,<indent2>]]]] [<committish>…]

## DESCRIPTION

Summarizes git log output in a format suitable for inclusion in release announcements. Each commit will be grouped by author and the first line of the commit message will be shown.

Additionally, "[PATCH]" will be stripped from the commit description.

## OPTIONS

-h
--help

  Print a short usage message and exit.

-n
--numbered

  Sort output according to the number of commits per author instead of author alphabetic order.

-s
--summary

  Suppress commit description and provide a commit count summary only.

-e
--email

  Show the email address of each author.

-w[<width>[,<indent1>[,<indent2>]]]

  Linewrap the output by wrapping each line at `width`. The first line of each entry is indented by `indent1` spaces, and the second and subsequent lines are indented by `indent2` spaces. `width`, `indent1`, and `indent2` default to 76, 6 and 9 respectively.

## FILES

If the file `.mailmap` exists, it will be used for mapping author email addresses to a real author name. One mapping per line, first the author name followed by the email address enclosed by < and >. Use hash # for comments. Example:

    # Keep alphabetized
    Adam Morrow <adam@localhost.localdomain>
    Eve Jones <eve@laptop.(none)>

## Author

Written by Jeff Garzik <jgarzik@pobox.com>

## Documentation

Documentation by Junio C Hamano.

## GIT

Part of the git(1) suite